$scrollbarWidth:      10px;

$pageMinWidth:        720px;
$mobilePageMinWidth:  320px;

$fieldSpacing:        24px;
$sectionPadding:      24px;
$pagePadding:         24px;
$sectionMargin:       24px;
$pageMargin:          24px;
$mobileFieldSpacing:  16px;
$maxWidth:            880px;
$lineHieght:          24px;

$pageBackgroundColor:             #FFFFFF;
$panelBackgroundColor:            #FAFAFA;
$panelBackgroundColorDarkerGrey:  #f0f0f0;
// NOTE: lucia newly added
$panelBackground2Color:           rgba(#00008f, 0.07);

$pageAppBarBgColor:               #FFFFFF;
$mainMenuBgColor:                 #FFFFFF;

// NOTE: lucia $dialogAlertColor from ec4d33 to ff1721
$dialogToolbarBgColor:            #103184;
$dialogToolbarColor:              #FFFFFF;
$dialogAlertColor:                #ff1721;

$PageSectionHeaderColor:          #ec4d33;
$titleColor:                      #333333;
$tableHeaderColor:                #7f7f7f;
$contentColor:                    #333333;
$subContentColor:                 #7f7f7f;
// NOTE: lucia newly added
$subContent1Color:                #ededed;
// NOTE: lucia $shadowColor frpm CDCDCD to 9c9c9c;
$shadowColor:                     #9c9c9c;
$shallowShadowColor:              #fafafa;
// NOTE: lucia newly added
$shallowShadow1Color:             #ededed;
$shallowShadow2Color:             #bbbbbb;
$selectColor:                     #ec4d33;

// NOTE: lucia $primary1Color from 103184 to 00008f; $primary5Color from 22b250 to 1cc54e
$primary1Color:                   #00008f;
$primary2Color:                   #3054ae;
$primary3Color:                   #ec4d33;
$primary4Color:                   rgb(250, 250, 250);
$primary5Color:                   #1cc54e;

$secondary1Color:                 #FFFFFF;
$secondary2Color:                 #103184;

$selectedBackgroundColor:         rgba(0,0,0,0.1);
$borderColor:                     #cac4c4;

// NOTE: lucia $alternateTextColor from 103184 to 00008f; $alertColor from ec4d33 to ff1721; $warningColor from f6a623 to ff1721
$alternateTextColor:              #103184;
$alertColor:                      #ff1721;
$warningColor:                    #ff1721;

// NOTE: lucia $caseStatusColor from fd872e to ec4d33
$caseStatusColor:                 #ec4d33;
$caseStatusColorApproved:         #0c9b32;
$caseStatusColorRejected:         rgb(169,169,169);
$caseStatusPendingApproval:       rgb(170,0,0);
$caseStatusPendingDocDis:         rgb(0, 0, 255);
$caseStatusInProgress:            rgb(170,130,0);


$showValueFontFamily: 'SourceSansPro';

html{
  -ms-content-zooming: none;
  -ms-user-select: none;
  user-select: none;
  cursor: default;
}

.Desktop {
  height:100vh;
  display: flex;
min-height: 0px;
  flex-direction: column;
}

@mixin width-wo-padding (){
  width: calc(100% - 48px);
}

.width100 {width: 100%};

.width75 { width: 75%; }

.width50 { width: 50%; }

.displayInlineBlock { display: inline-block;}

.alignLeft { text-align: left; }

.alignRight { text-align: right; }

.alignCenter { text-align: center; }

.marginAlignCenter { margin: 0 auto;}

.SectionPadding { padding: $sectionPadding; }

.StandardLineHeight { line-height: 1.5em}

.SectionPaddingLeftRight { padding: 0 $sectionPadding; }

.bold { font-weight: 500;}

.semiBold { font-weight: 500;}

.fontWeight600 { font-weight: 600;}

.whitefont { color: $primary4Color;}

.warningFont { color: $alertColor;}

.marginBottom { margin-bottom: $sectionMargin;}

.marginTop { margin-Top: $sectionMargin;}

.showOrangeBackgroundColor {background: $caseStatusColor }

.showGreenBackgroundColor {background: $caseStatusColorApproved }

.showRedBackgroundColor {background: $caseStatusColorRejected }

.showPendingApprovalColor {background: $caseStatusPendingApproval }

.showPendingDocDisColor {background: $caseStatusPendingDocDis }

.showInProgressColor {background: $caseStatusInProgress }

.PanelBackgroundColor { background-color: $panelBackgroundColor;}

.NeedsPanelTitleColor { color: $PageSectionHeaderColor; }

.ClientChoicePanelTitleColor { color: $primary1Color; }

.mandatoryStar {color: $alertColor; font-size: 18px;}

.HeadermandatoryStar {color: $alertColor; font-size: 24px;}

.HeadermandatoryStar::before, .mandatoryStar::before { content: " ";}

.QuestionAnsewerPadding { padding: 24px 0px;}

.DialogPaper { padding-top: 0 !important; min-width: 1080px; max-width: 1080px !important;}

.DialogPaperShield { width: 100% !important; max-width: 1024px !important;}

@media only screen and (max-width: 1024px) {
  .DialogPaperShield {
    max-width: 100% !important;
  }
}

.FixWrongDialogPadding { padding-top: 0 !important; }

.PagePadding {padding: $pagePadding;}

.ShowMinWidth { min-width: $pageMinWidth }

.tuncOnHoldReason { text-overflow: ellipsis; overflow: hidden; width: calc(100% + 200px); white-space: nowrap;}

.mobileTuncOnHoldReason { text-overflow: ellipsis; overflow: hidden; width: 100%; white-space: nowrap;}

.tunc800 { text-overflow: ellipsis; overflow: hidden; width: 800px; white-space: nowrap;}

.padding12 {padding: 12px;}

.padding12TopBottom {padding: 12px 0px;}

.padding12Top {padding-top: 12px;}

.SupportDocContent {padding-bottom: 160px;}

// NOTE: lucia padding-Left: 20px; padding-right: 20px; & newly added
.AutoSuggestionFooter {line-Height: 42px; padding: 5px 20px 5px 20px; box-shadow: 1px 2px 4px #787878; margin: -10px 0 5px 0; background: $shallowShadow1Color;}


.lineClamp:after {
  background: linear-gradient(to right, rgba(255, 255, 255, 0), #f7f7f7 0%) repeat scroll 0 0 rgba(0, 0, 0, 0);
  bottom: 0;
  content: "";
  font-weight: bold;
  position: absolute;
  right: 0;
}

.lineClamp {
  height: 2em;
  line-height: 1em;
  overflow: hidden;
  position: relative;
}

.PageMaxWidth {
  max-width: $maxWidth;
}

.StdLineHeight {
  line-height: $lineHieght;
}



[id="ConceptSelling"]{
  img {
    width: 100%;
    height: 100vh;
  }
}

label[for="EABTextField"] {
  top: 30px !important;
}

.FaqContainer {
   display: inline-block;

  .Question {
	color: $primary2Color;
  }

  .Answer {
	margin-top: 4px;
  }
}

.LinkProfileDialog {
  padding: 0px !important;
  overflow-y: auto !important;
  min-height: 500px;
}

.ClientProfileDialog {
  // NOTE: lucia padding: 24px !important;
  padding: 48px !important;
  min-height: 500px;
}
.FundDialogSize {
  min-height: 500px !important;
}
.AdjustFundDialogSize {
  min-height: 400px !important;
}

.FundDialogSize1 {
  min-height: 350px !important;
}

.MultiClientProfileDialog {
  // NOTE: lucia padding: 24px !important;
  padding: 0px !important;
  min-height: 500px;
  // overflow-y: auto !important;
  .Title {
    color: $primary1Color;
    font-size: 16px;
    font-weight: 600;
  }
}

.TrustIndividualDialog {
  padding: 24px !important;
  overflow-y: auto !important;
  min-height: 500px;

  .Title {
    color: $primary1Color;
    font-size: 16px;
    font-weight: 600;
    padding-bottom: 24px;
  }
}

.Superscript {
  vertical-align: super;
  font-size: smaller;
}

.QuotRemark {
  padding-top: 16px;
  font-size: 14px;
}

.QuotOtherRemarks {
  color: $selectColor;
  font-size: 14px;
}

.ClientProfileDialog, .LinkProfileDialog {
  .Content {
    @include width-wo-padding();
    padding: 24px;
    //height: 500px;
    overflow-x: hidden;
    //max-height: 500px;
  }

  .Section {
    padding-bottom: 24px;
  }

  .Title {
    color: $primary1Color;
    font-size: 16px;
    font-weight: 600;
  }

}

div[id="disablePanel"] {
  * {
    cursor: no-drop !important;
    pointer-events: none !important;
  }
}

.ClientChoicePanel {
  padding: 0px 24px;
  background-color: $panelBackgroundColor;

  [id="CardinColView"]{
    [id="ReadOnlyField"] {
      height: 100% !important;
    }
  }

  [id="CardinRowView"]{
    [id="ReadOnlyField"] {
       [id="SingleLabel"] {
        color: $titleColor !important;
      }
    }
  }
}

.Page {
  display: flex;
min-height: 0px;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  width: 100%;
  background-color: $pageBackgroundColor;
  position: sticky;
  overflow: hidden;

  .Toolbar {
    background-color: $pageAppBarBgColor !important;
    text-align: center;
    width: 100%;
    padding: 12px 0 !important;
    position: static;

    .SubTitle {
      font-size: 16px;
      color: rgba(0, 0, 0, 0.54) !important;
    }

    .ToolbarTitle {
      font-size: 20px;
    }
  }

  .Content {
    width:100%;
    flex: 1;
    overflow: hidden;
    display: flex;
min-height: 0px;
    flex-direction: column;
    align-items: center;

    .Form {
      position: relative;
      flex:1;
      width: 100%;
      overflow-y: auto;
      padding-bottom: 100px;
    }

    .Section>div {
      vertical-align: top;
    }

    .Section {
      width: calc(100% - #{$fieldSpacing});
      max-width: 960px;
      position: relative;
      margin: 0 auto;
      text-align: left;
      padding: $fieldSpacing 0px 0px $fieldSpacing;

      .SectionTitle {
        font-weight: 300;
        left: $fieldSpacing;
        color: rgba(0, 0, 0, 0.87);
        display: block;
        height: 40;
        line-height: 40px;
      }

      .Controls {
        display: inline-block;
        position: absolute;
        top: 14px;
        right: $fieldSpacing;
      }

      .Title {
        font-size: 20px;
        display: flex;
min-height: 0px;
        font-weight: 300;
        height: 64px;
        align-items: center;
      }
    }

    .Footer {
      position: relative;
      width: 100%;
      height: 64px;
    }
  }
}

/********* Title, sub-Title, Standard Display ****************************/
p[id="warningnote"] {
    padding: 0px;
    line-height: 16px;
}

.TextTitleFontSize {
  font-size: 20px;
}

.PriorityTextTitle {
  color: $titleColor;
  font-size: 20px;
  text-align: center;
}

.TextTitle {
  color: $titleColor;
  font-size: 20px;
  white-space: pre-wrap;
}

.subTextTitle {
  color: $subContentColor;
}

.SubTitle {
  font-size: 14px;
  padding: 8px 0;
  color: $titleColor;
}

// NOTE: lucia
.CashFlowItemDesc {
  height: 24px;
  line-height: 24px;
  font-size: 20px;
  color: $primary2Color;
  font-weight: 500;
  width: 100%;
  text-align: left;
  padding-left: 12px;
  padding-top: 12px;
}

.CashFlowItemErrorDesc {
  height: 24px;
  line-height: 24px;
  color: $alertColor;
  text-align: left;
  padding-left: 12px;
}

.SubContent {
  color: $subContentColor !important;
}

.ShowPrimaryBlueColor {
  color: $primary1Color;
}

.ShowGreenColor {
  color: $primary5Color;
}

.ShowAlertColor {
  color: $alertColor
}

.ShowSubContentColor {
  color: $subContentColor
}

.NonInputRedNum {
  color: $alertColor;
  font-size: 18px;
}

.NonInputGreenNum {
  color: $primary5Color;
  font-size: 18px;
}

.NonInputBlueNum {
  color: $primary1Color;
  font-size: 24px;
}

.NonInputValue {
  color: $titleColor;
  font-size: 24px;
  font-weight: 700;
}

.NonInputValue1 {
  color: $titleColor;
  font-size: 18px;
  font-weight: 700;
}

.PageSectionTitle {
  font-size: 24px;
  margin: 16px;
  text-align: center;
  font-weight: 600;
}

.QTitle {
  font-size: 16px;
  color: $titleColor;
  text-align: left;
  margin: 12px 0px;
}

.headerTitle + .Divider {
  margin-bottom: 24px;
}

.headerTitleAlignLeftContainer{
  display: flex;
min-height: 0px;
  //padding: 30px 0px;
  justify-content: flex-start;
  align-items: initial;
}

.RbCbheaderTitleAlignLeftContainer{
  display: flex;
min-height: 0px;
  padding: 8px 0px;
  justify-content: flex-start;
  align-items: initial;
}

.RbheaderTitleAlignLeft {
  color: $titleColor;
  font-size: 16px;
  line-height: 16px;
}
.leftheaderTitleContainer{
  //padding: 30px;
  align-items: center;
  justify-content: flex-start;
  display: flex;
min-height: 0px;
}

.headerTitleContainer {
  //padding: 30px;
  align-items: center;
  justify-content: center;
  display: flex;
min-height: 0px;
  margin: 10px 0 -10px 0;
}

.TitleContentContainer {
  display: inline-block;
  padding: 0 24px;
  width: 100%;
}

.NoPaddingheaderTitleContainer {
  align-items: center;
  justify-content: center;
  display: flex;
min-height: 0px;
}

.NoPaddingheaderTitle {
  color: $primary1Color;
  font-size: 20px;
  font-weight: 500;
}


.headerTitleStyle {
  color: $primary1Color;
  font-size: 18px;
  padding: 18px 0px;
  font-weight: 500;
}

.NetWorthLeftHeader {
  color: $primary1Color;
  font-size: 20px;
  width: 100%;
  padding-left: 8px;
  padding-bottom: 8px;
}

.NetWorthRightHeader {
    color: $primary1Color;
    font-size: 20px;
    width: 100%;
    padding-right: 16px;
    padding-bottom: 8px;
    text-align: right;
}

.alignCenterheaderTitleStyle {
  color: $primary1Color;
  font-size: 20px;
  padding: 24px 0px;
  font-weight: 500;
  text-align: center;
}

.tUnderLine{
  position:relative
}

.tUnderLine:hover .tHover{
  display:inline;
}

.tHover{
  display:none
}


.Description {
   font-size: 20px;
   line-height: 34px;
}

.TitleContainer {
    padding-bottom: $sectionPadding;
}

.TextSelectionTitle {
  font-size: 16px;
  line-height: 20px;
  margin: 12px;
}

.TextSelectionBoldTitle {
  font-size: 16px;
  line-height: 20px;
  margin: 12px;
  font-weight: 600;
}

/*********  Title, sub-Title, Standard Display  ****************************/

/********* Items, Icon, Fields Style ****************************/
.SmallIcon {
  flex-basis: 64px;
  justify-content: center;
}

.LargeIcon {
  flex-basis: 84px;
  justify-content: center;
}

.LensIconText {
  color: $secondary1Color;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 24px;
}

.Slider {
  flex-basis: 560px;
}

.SliderIcon {
  height: 24px;
  width: auto;
  align-self: flex-end;
  margin: 0px 16px 12px 16px;
}

.CompanyIntro {
  display: flex;
min-height: 0px;
  justify-content: center;
  text-align: center;
  overflow: auto;

  .IntroContainer {
    padding-top: 24px;
    max-width: $maxWidth;
    width: 90%;

    .IntroImg {
      margin: 0 auto;
      max-height: 40vh;
      height: 400px;
      width: 600px;
    }

    .IntroText {
      margin: 0 auto;
      padding: 24px 0 120px;
      line-height: 20px;
    }
  }

}

.TextField, .Popover {
  input {
    margin: 0px !important;
  }
}

.Box {
  width: 100%;
  display: inline-block;
  position: relative;

  .DetailsItem.Field25 {
    width: calc(25% - 24px) !important;

    .ColumnField {
      min-width: 50px !important;
    }
  }

  .DetailsItem.Field75 {
    width: calc(75% - 24px) !important;
  }
}

.DetailsItem.h12box {
  height: auto !important;
}

.Column1 {
  >.Field, >.DetailsItem {
    width: calc(100% - #{$fieldSpacing}) !important;
  }

  >.DetailsItem.h12box, >.Box {
    width:100% !important;
    margin-right: 0px;
  }
}

.Column2 {
  >.Field, >.DetailsItem {
    width: calc(50% - #{$fieldSpacing}) !important;

    .ColumnField {
      min-width: 150px !important;
    }

  }

  >.DetailsItem.h12box, >.Box {
    width:50% !important;
    margin-right: 0px;
  }
}

.Column3 {
  >.Field, >.DetailsItem {
    width: calc(33.33% - #{$fieldSpacing}) !important;

    .ColumnField {
      min-width: 100px !important;
    }
  }

  .DetailsItem.h12box, >.Box {
    width:33.3% !important;
    margin-right: 0px;
  }
}

.Column4 {
  >.Field, >.DetailsItem {
    width: calc(25% - #{$fieldSpacing}) !important;

    .ColumnField {
      min-width: 100px !important;
    }
  }

  .DetailsItem.h12box, >.Box {
    width:25% !important;
    margin-right: 0px;
  }
}

.Field, .DetailsItem {
  width: calc(100% - #{$fieldSpacing}) !important;
  margin-right: $fieldSpacing;
  height: 80px;
  display: inline-block;
  vertical-align: top;

  .ColumnField, .Input {
    height: 80px !important;
    width: 100% !important;
    background-color: null;
    vertical-align: top;
  }

  .HalfColumn {
    width: 50% !important;
  }
}

.ROPDetailsItem {
  width: calc(100% - #{$fieldSpacing}) !important;
  margin-right: $fieldSpacing;
  height: 60px;
  display: inline-block;
  vertical-align: top;

  .ColumnField, .Input {
    height: 64px !important;
    width: 100% !important;
    background-color: null;
    vertical-align: top;
  }
}

.DetailsItemCountryCode {
  width: 35px !important;
  margin-right: 0 !important;
  height: 80px;
  display: inline-block;
  vertical-align: top;
}

.DetailsItem.TextField .ColumnField {
  margin-top: 0px !important;
}


.DetailsItem.AutoHeight {
  height: auto !important;
}

.SwitchField {
  width: calc(100% - #{$fieldSpacing}) !important;
  margin-right: $fieldSpacing;
  height: auto !important;
}

.ReadOnlyFieldRootinOneRow {
  height: 36px;
  position: relative;
  display: flex;
min-height: 0px;
  flex-Direction: column;
  justify-Content: center;
}

.ReadOnlyFieldRoot {
  height: 72px;
  position: relative;
  display: flex;
min-height: 0px;
  flex-Direction: column;
  justify-Content: center;
}

.ReadOnlyFieldTitleStyle {
  white-Space: nowrap;
  overflow: hidden;
  text-Overflow: ellipsis;
}

.ReadOnlyFieldFloatingLabel {
  line-height: 24px;
  top: 32px;
  bottom: none;
  opacity: 1;
  white-space: nowrap;
  //transform: 'perspective(1px) scale(0.75) translate3d(0px, -28px, 0)',
  transform-Origin: left top;
  width: 100%;
  display: inline-block;
}

.ReadOnlyFieldFloatingLabel, .hboxLabel {
  position: absolute;
  line-height: 24px;
  height: 24px;
  top: 28px;
  transition: all 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
  z-index: 1;
  transform: scale(0.75) translate(0px, -28px);
  transform-origin: left top 0px;
  pointer-events: none;
  user-select: none;
  white-space: nowrap;
  font-size: 18px;
}

.ReadOnlyFieldLabel {
  padding-left: 0px;
  margin-top: 8px;
  display: block;
  position: relative;
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  pointer-events: auto;
  user-select: none;
  z-Index: 1;
  line-Height: 24px;
}


.ReadOnlyFieldLabelBlk{
  display: block;
  margin-bottom: 30px;
}


.ReadOnlyLabel {
  padding-left: 0px;
  display: block;
  position: relative;
  width: 100%;
  pointer-events: auto;
  user-select: none;
  z-Index: 1;
  line-Height: normal;
}

.ReadOnlyLabelInCard {
  padding-left: 0px;
  display: block;
  position: relative;
  width: 100%;
  pointer-events: auto;
  user-select: none;
  z-Index: 1;
  font-weight: 600;
  line-height: 24px;
}


.ReadOnlyUnderline {
  bottom: 12px;
  border-Style: none none solid;
  border-Width: 1px;
  position: absolute;
  width: 100%;
  margin: 0px;
  border-Color: $borderColor;
}

/********* Items, Icon, Fields Style ****************************/

/********* Footer ****************************/
.FixFooterContainer {
  position: fixed;
  bottom: 0;
  background-color: $pageAppBarBgColor;
  max-height: 100px;
  min-width: 100%;
  box-shadow: 5px 0px 5px $borderColor;
  left: 0px;
  z-index: 1500;
  display: flex;
min-height: 0px;
  flex-wrap: wrap;
  justify-content: flex-end;
}

@media screen and (max-width: 1024px) {
  .FixFooterContainer {
    left: 300px;
    min-width: 73%;
  }
}

.FixFooterStyle {
  display: flex;
min-height: 0px;
  justify-content: flex-end;
  align-items: center;
  margin: auto 50px;
}
/********* Footer ****************************/

/********* Product, benefit illustration, Quotation ****************************/

/********* React-AutoSuggest ****************************/
.container {
    flex-grow: 1;
    position: relative;
    height: 200px;
  }
.suggestionsContainerOpen {
    position: absolute;
    margin-Top: 10px;
    margin-Bottom: 30px;
    left: 0;
    right: 0;
    z-index: 1500;
  }
.suggestion {
    display: block;
    // NOTE: lucia new
    box-shadow: 1px 2px 4px #787878;
    margin: -10px 0 5px 0;
    background: white;
    padding-bottom: 5px;
  }
.suggestionsList {
    margin: 10px 0px 0px 0px;
    padding: 0;
    list-style-type: none;
    // NOTE: lucia new
    min-width: 306px;
  }
.AutoSuggesttextField {
    width: '100%';
  }

.suggestWrap {
  white-space: pre-wrap;
  line-height: 24px !important;
  padding: 16px 0;
  max-height: 500px !important;
}

.HighlightedParts {
  font-weight: 400;
  color: $primary1Color;
}

.NotHighlightedParts {
   font-weight: 400;
}
/********* React-AutoSuggest ****************************/

.ProductItems {
  margin: 12px 12px 0 12px;
  vertical-align: top;
  // note: lucia remove margin-Right: 24px;
  width: 200px;
  display: inline-block;

  img {
    width: 200px;
  }

  .ProductName {
    width: 100%;
    margin-Top: 8px;
    margin-Bottom: 8px;
    color: $alternateTextColor;
  }
}

.ProductGroup {
  padding: 24px 12px;

  .ProductGroupTitleContainer {
    display: flex;
min-height: 0px;
    align-items: center;
    justify-content: center;
  }
}

.ProductTitle {
  font-weight: bold;
  color: $primary2Color;
}

.ProductSmMarginTop {
  margin-top: 12px;
}

.ProductLgMarginTop {
  margin-top: 32px;
}

.RiderDialog {
  height: 2px;
  width: 100%;
  background: $subContentColor;
}

.ClientInfoContainer {
   display: inline-block;

   .RoleTitle {
     color: $titleColor;
     font-size: 14px;
     font-weight: bold;
   }

  .PhotoText {
     margin-top: 16px;
     display: flex;
min-height: 0px;
     align-items: center;

    .ClientInfo {
      display: inline-block;
      margin-left: 24px;

      .FullName {
        color: $primary2Color;
      }

      .Others {
       margin-top: 4px;
      }
    }
  }
}

.ShieldInsuredInfo {
  display: inline-block;
  margin-top: 3px;
  align-items: center;

  .FullName {
    color: $primary2Color;
    margin-right: 10px;
  }

  .Others {
    margin-top: 4px;
  }

}

.Quotation {
   height: 100%;
   display: flex;
min-height: 0px;
   flex-direction: column;
   background: $pageBackgroundColor;
  //  margin: 0 24px;

  .QuotationContent {
    margin: 24px auto;
    max-width: 1080px;

    .QuotBtns {
      text-align: right;
      margin-top: 24px;
    }

    .QuotaionWarning {
      color: $alertColor;
      font-weight: 600;
      margin-top: 24px;
    }

    .RiderBtn {
      margin-top: 24px;
      text-align: center;
    }
  }

  .QuotationFooterContainer {
     height: 56px;
     z-index: 10;

    .QuotationFooter {
      height: 100%;
      display: flex;
min-height: 0px;
      align-items: center;
      text-align: center;

      .QuotationFooterItems {
        flex: 1;
        font-weight: 600;
        font-size: 16px;
      }

      .QuotationFooterItem {
        padding-left: calc(100vw / 10);
        font-weight: 600;
      }
    }
  }
}

.QuotPlanInfoTable {

  .ColRowBtn {
    width: 48px;
  }

  .ColPlanName {
    width: auto;
  }

  .ColTermInput {
    width: 160px;
  }

  .ColNumInput {
    width: 150px;
  }

  .ColCovClass {
    width: 140px;
  }

  .PlanInfoRow {
    height: 48px;

    td {
      vertical-align: top;
    }

    td.PlanName {
      padding-top: 17px;
    }

    td:first-child {
      padding: 0;
    }
  }

  .PlanInfoErrorContainer {
    height: 24px;
    text-align: center;

    .PlanInfoErrorContent {
      vertical-align: middle;
      color: $alertColor;
    }

    .PlanInfoHintContent {
      vertical-align: middle;
      color: $primary2Color;
    }
  }

}

.QuotPlanIllTable {

  .ColRowBtn {
    width: 48px;
  }

  .ColPlanName {
    width: auto;
  }

  .ColSA {
    width: 140px;
  }

  .ColPrem {
    width: 170px;
  }

  .PlanInfoRow {
    height: 48px;

    td {
      height: 48px;
      vertical-align: middle;
    }

    td:first-child {
      padding: 0;
    }
  }

  .PlanInfoccyColStyle {
    padding: 0 24px;
    text-align: right;
  }

}

.ShieldPlanTable {

    .ColRowBtn {
      width: 48px;
    }

    .ColPlanName {
      width: auto;
    }

    .ColInput {
      width: 180px;
    }

    .PlanInfoRow {
      height: 48px;

      td {
        vertical-align: top;
      }

      td.PlanName {
        padding-top: 17px;
      }

      td:first-child {
        padding: 0;
      }
    }

  }

.QuotTable {
  width: 100%;
  box-shadow: $shadowColor 1px 1px 4px;
  // table-layout: fixed;

  thead {
    font-size: 12px;

    tr {
      background-color: $panelBackground2Color;
      border-bottom: 1px solid $shallowShadow2Color;
      height: 56px;

      th {
        vertical-align: middle;
        font-weight: bold;
        color: $primary1Color;
        padding: 0 18px;
        text-align: left;
      }

      th.ColRight {
        text-align: right;
      }
    }
  }

  tbody {
    font-size: 13px;

    tr td {
      padding: 0 18px;
    }

    tr.GroupHeader {
      height: 24px;
      background-color: $subContent1Color;
      border-bottom: 1px solid $shallowShadow2Color;
      height: 24px;

      td {
        vertical-align: middle;
        font-weight: 600;
      }
    }

    tr.GroupFooter {
      height: 48px;
      border-top: 1px solid $shallowShadow2Color;

      td {
        height: 24px;
        font-weight: 600;
      }
    }
  }

}

.ToolTipTable {
  width: 100%;

  thead {
    font-size: 12px;

    tr {
      background-color: $panelBackground2Color;
      border-bottom: 1px solid $shallowShadow2Color;
      height: 56px;

      th {
        vertical-align: middle;
        font-weight: bold;
        color: $primary1Color;
        padding: 0 18px;
        text-align: center;
      }

      td {
        text-align: center;
      }
    }
  }

  tbody {
    font-size: 13px;

    tr td {
      padding: 0 18px;
      text-align: center;
    }

    tr{
      height: 56px;
      background-color: $subContent1Color;
      border-bottom: 1px solid $shallowShadow2Color;

      td {
        text-align: center;
      }

    }
  }

}

.FundDialog {

  width: 100% !important;
  max-width: 1024px !important;

  .InfoContainer {
    display: flex;
min-height: 0px;
    flex-wrap: wrap;
    align-items: center;
  }

  .InfoContainer .InfoItem {
    width: 50%;
    height: 58px;
    display: flex;
min-height: 0px;
    align-items: center;
  }

  .InfoContainer .InfoRow {
    width: 100%;
    display: flex;
min-height: 0px;
    align-items: center;
  }

  .InfoContainer .InfoTitle {
    width: 40%;
  }

  .InfoContainer .InfoValue {
    width: 60%;
  }

  .InfoContainer .InfoWithMessage {
    width: 100%;
    flex-direction: column;
  }

  .SelectedFundList, .AvailableFundList {
    margin-top: 12px;
    table-layout: fixed;

    .FundNameCol {
      width: 26%;
    }

    .ColGroupA {
      width: 6%;
    }

    .ColGroupB {
      width: 17%;
    }

    .ColGroupC {
      width: 48px;
    }

    tbody tr td:last-child {
      padding: 0;
    }
  }

  .BtnContainer {
    margin-top: 24px;
    text-align: center;
  }

  .RiskNote {
    margin-top: 24px;
    font-size: 14px;
  }

}

.IllContainer {
  background-color: $pageBackgroundColor;
  -webkit-user-select: none;
  width: 100%;
  text-align :center;

  .IllContent {
    display : inline-block;
    min-width: 720px;
    width: 60%;
    height: calc(100vh - 0px);

    .IllHeader {
      text-align: center;

      .IllHeaderItem {
        display: flex;
min-height: 0px;
        align-items:center;
      }
    }
  }
}

.IllChartContainer {
  overflow-y: auto;
  position: relative;
  -webkit-tap-highlight-color: rgba(0,0,0,0);

  .IllChartHeader {
    width: 100%;
    margin-top: 24px;
    position: relative;

    .IllHeaderLeft {
      display: table;
      padding-Left: 24px;
      position: relative;

      .IllRow {
        display: table-row;
        height: 66px;
        text-Align: left;

        .IllRowItem {
          display: table-cell;
          width: 160px;
          font-Size: 16px;
          vertical-Align: bottom;

          .IllHeaderAge {
            color: $titleColor;
            font-Weight: 200px;
            font-Size:72px;
          }

          .IllHeaderAgeUnit {
            color: $subContentColor;
            font-Size: 16px;
          }
        }
      }
    }

    .IllHeaderRight {
      position: absolute;
      right: 0;
      top: 0;
      padding-right: 24px;
      display: flex;
min-height: 0px;

      .IllHeaderItem {
        text-align: right;
        width: 180px;

        .IllHeaderItemVal {
          font-size: 28px;
        }

        .IllHeaderItemName {
          font-size: 16px;
        }
      }
    }
  }
}

.IllChartTable {
  margin-top: 24px;

  .ChartTableHeader {
    border-Bottom: 1px solid $borderColor;
    font-size: 25px;

    table {
      width: 100%;
      height: 36px;
      margin: 0 auto;

      td {
        font-size: 12px;
        color: rgba(0, 0, 0, .54);
      }
    }
  }

  .ChartTableContent {
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
    height: calc(100vh - 500px);

    table {
      width: 100%;
      border-collapse: collapse;

      tr:hover {
        background-color:rgb(204, 242, 255);
      }

      td {
        font-size: 14px;
        padding: 15.5px 0;
        border-bottom: 1px solid rgba(0, 0, 0, 0.12);
      }
    }
  }
}

/********* Product, benefit illustration, Quotation ****************************/

.PaymentSubmitPage {
  max-width: $maxWidth;
  min-width: $pageMinWidth;
  margin: 0px auto;
  padding: 24px;
}

.FloatingPage {
  width:100%;
  height:100%;
  min-width: $mobilePageMinWidth;
  position:absolute;
  text-align: left;
  left:0;
  top:0;
  z-index: 500;
  background-color:$panelBackgroundColor;

  .Block {
    border-bottom: 1px solid $borderColor;
    padding: 10px 0;

    .Title {
      height: 48px;
      width: 100%;
      line-height: 48px;
      font-size: 16px;
      font-weight: 500;
      color: $primary1Color;
      padding: 0 24px;
    }

    .SubTitle {
      height: 48px;
      @include width-wo-padding();
      line-height: 48px;
      font-size: 16px;
      color: $titleColor;
      padding: 0 24px;
      position: relative;
    }

    .SubTitleIOS {
      @include width-wo-padding();
      line-height: 48px;
      font-size: 16px;
      color: $titleColor;
      padding: 0 24px;
      position: relative;
    }

    .Field_mobile{
      width: calc(100% - 64px) !important;
      padding: 0 24px 0 40px;
      display: flex;
min-height: 0px;
    }

    .Field {
      height: 48px !important;
      width: calc(100% - 64px) !important;
      padding: 0 24px 0 40px;
      display: flex;
min-height: 0px;

      .ImageView {
        height: 36px;
        width: 36px;
        padding: 6px 0;
        display: inline-block;
      }

      .Content {
        font-size: 16px;
        color: $contentColor;
      }

      .SubContent {
        font-size: 12px;
        text-align: left;
      }
    }

  }

}

.secIndex {
  width:100%;
  height:100%;
  min-width: $mobilePageMinWidth;
  position:absolute;
  text-align: left;
  left:0;
  top:0;
  z-index: 500;
  background-color:$panelBackgroundColor;
}

.OtherDocDialogtitle{
  span {
    vertical-align: top !important;
  }
}

.Dialog, .FloatingPage {
  .Section {
    .Title {
      font-size: 20px;
      display: block;
      padding: 16px 0;
    }
  }

  .Toolbar {
    border-bottom: none;
    min-height: 64px;

    .ToolbarTitle {
      margin-left: 4px !important;
    }

    .FlatButton {
      margin:10px !important;
      font-size: 14px !important;
    }
  }

// NOTE: lucia changed
  .FlatButton {
    display: inline-block;
    vertical-align: top;
    margin: 6px 0 !important;
    padding: 0 0 0 10px !important;
  }
}

.Dialog {
  .Toolbar {
    background-color: $dialogToolbarBgColor !important;
  }

  .ToolbarTitle {
    color: $dialogToolbarColor !important;
  }
}

.Title, .ToolbarTitle {
  color: $titleColor;
  font-weight: 300;
}

.CardSectionTitle {
  color: $titleColor;
  font-weight: 600;
}

.Toolbar {
  min-width: $mobilePageMinWidth;
  padding:0px !important;
  /* box-shadow: 0px 2px 2px rgba(0,0,0,.33); */
  border-bottom: 1px solid $borderColor;
  position:relative;
  z-index: 10;
  box-shadow: 0px 2px 4px $borderColor;

  [id="searchBar"]{
    color: $primary1Color;
    padding-left: 16px;
    flex: 1;
    font-weight: normal;
  }

  [id="appBarTitle"]{
    color: $titleColor;
    padding-left: 16px;
    flex: initial;
  }

  button {
    padding: 0 12px !important;
  }

  button[id="back"], button[id="close"] {
   margin: 0 0 0 12px !important;
 }
}

.showShadow {
  box-shadow: 0px 2px 4px $borderColor;
}

.hideShadow {
  box-shadow: none !important;
}

.IconBoxSelected {
  //note: lucia background: $dialogAlertColor;
  //note: lucia box-shadow: none changed
  //note: lucia remove color: $dialogAlertColor !important;
  background: $primary1Color;
  box-shadow: 1px 2px 6px $primary1Color;
  border: solid;
  position: relative;
  display: flex;
min-height: 0px;
  flex-direction: column;

  img {
    object-fit: initial;
  }
}

.IconBoxNotSelected {
  background: $selectColor;
  box-shadow: $borderColor 0px 1px 6px, $borderColor 0px 1px 4px;
  color: $borderColor;
  border: solid;
  position: relative;
  display: flex;
min-height: 0px;
  flex-direction: column;

  img {
    //note: lucia object-fit: initial;
    object-fit: scale-down;
  }
}

.ImageView {
  color: $titleColor;
  width: 200px;
  height: 180px;
}

.DivSelected {
  border: solid 2px $selectColor;
  margin: 12px 0px;
  height: auto;
}

.DivNotSelected {
  border: solid 2px $primary2Color;
  margin: 12px 0px;
  height: auto;
}

.TextSelectionBox {
  min-width: 194px;
  min-height: 43px;
}

.IconBoxNotSelected [id="Title"], .IconBoxSelected [id="Title"] {
  flex-grow: 1;
  color: $titleColor;
  // NOTE: lucia text-align: left;
  font-weight: bold;
  font-size: 14px;
  background: $panelBackgroundColor;
  // NOTE: lucia new
  display: flex;
min-height: 0px;
  justify-content: center;
}

// NOTE: lucia new
  .IconBoxSelected [id="Title"] {
  align-items: center;
}

.ToolbarGroup {
  display: flex;
min-height: 0px;
  margin-right: 20px;
  padding-top: 2px;
}

[id="AssetremoveBtn"] {
  margin-bottom: 8px !important;
}

.SelectedTab {
  background-color: $pageBackgroundColor;
  display: inline-block;
  padding: 0px 20px;
  text-align:left;
  border-top: 1px solid $borderColor;
  border-right: 1px solid $borderColor;
  border-left: 1px solid $borderColor;
  height:100%;
}

.UnSelectedTab {
  background-color: $pageBackgroundColor;
  display: inline-block;
  padding: 0px 20px;
  text-align:left;
  border-top: 1px solid $borderColor;
  border-right: 1px solid $borderColor;
  border-left: 1px solid $borderColor;
  height:100%;
}

.EllipsisTextStyle {
  display: flex;
min-height: 0px;
  min-width: 120px;
  width: 100%;
  vertical-align: top;
  color: $primary2Color;
  font-size: 14px;
  line-height: 3;
  white-space: nowrap;
  overflow:hidden;
  text-overflow: ellipsis;
}

.EllipsisText {
  white-space: nowrap;
  overflow:hidden;
  text-overflow: ellipsis;
}

.CheckBox + div {
  border-left: none;
}

.DetailsItem.CheckBox {
  height: auto !important;
  padding: 8px 0;
}

.ErrorMsgContainer {
  position: relative;
  white-space: nowrap;
  padding-top:24px;
}

.ErrorMsgAbsContainer {
  position: absolute;
  white-space: nowrap;
}

.ErrorMsgWithTitle {
  color: $alertColor;
  height: 16px;
  font-size: 12px;
  text-align: center;
}

.ErrorMsgNoTitle {
  color: $alertColor;
  height: 16px;
  font-size: 12px;
  position: relative;
}

// NOTE: lucia
.FlexContent {
  width: 100%;
  flex: 1;
  position: relative;
  // overflow-y: auto;
}

.FlexColumnContainer {
  display: flex;
min-height: 0px;
  flex-wrap: wrap;
  margin: 0px auto;
  flex-direction: column;
  align-items: center;
}

.FullHeightFlexColumnNoWrapContainer {
  display: flex;
min-height: 0px;
  flex-wrap: nowrap;
  margin: 0px auto;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.FlexColumnNoWrapContainer {
  display: flex;
min-height: 0px;
  flex-wrap: nowrap;
  margin: 0px auto;
  flex-direction: column;
  align-items: center;
}

.FlexColumnNoWrapBasicContainer {
  display: flex;
min-height: 0px;
  flex-wrap: nowrap;
  flex-direction: column;
}

.FlexContainer {
  display: flex;
min-height: 0px;
  flex-wrap: wrap;
  align-items: center;
  margin: 0px auto;
  justify-content: center;
}

.FlexNoWrapContainer {
  display: flex;
min-height: 0px;
  flex-wrap: nowrap;
  align-items: center;
  margin: 0px auto;
  justify-content: center;
}
.CBTabs {
  div:nth-of-type(1) {
    border-right: none;
  }

  div:nth-of-type(2){
    border-left: none;
  }
}
.FlexNoWrapContainer {
  .SelectedTab {
    border-bottom: 10px solid $dialogAlertColor;

    .EllipsisTextStyle {
      margin-top: 10px !important;
    }

    div:nth-of-type(1) {
      margin-top: 4px !important;
    }
  }

  .UnSelectedTab {
    padding-bottom: 10px;

    .EllipsisTextStyle {
      margin-top: 10px !important;
    }

    div:nth-of-type(1) {
      margin-top: 4px !important;
    }
  }
}

.FlexContainer1 {
  flex: 1;
  overflow-x: auto;
  display: flex;
min-height: 0px;
  justify-content: center;
  flex-wrap: wrap;
}

.FlexContainer2 {
  flex: 2;
  overflow-x: auto;
  display: flex;
min-height: 0px;
  justify-content: center;
  flex-wrap: wrap;
}

.FlexContainer3 {
  flex: 3;
  overflow-x: auto;
  display: flex;
min-height: 0px;
  justify-content: center;
  flex-wrap: wrap;
}

.Menu {
  box-shadow: 1px 0 5px 0px $shadowColor;
  flex-basis: 300px;
  align-items: stretch;
  background: $mainMenuBgColor;
  overflow-y: auto;
  z-index: 1500;
}

.MenuItem {
  font-size: 14px;
  display: inline-block;
  width: 100%;
  // NOTE: lucia dropdownmenu new
  // height: 50px;
  // box-shadow: 0px 1px 2px $shallowShadow1Color;
  //
  // div {
  //   padding: 5px 0;
  // }
}

.CbTabs{
    background: $shallowShadowColor !important;
    .FlexNoWrapContainer:after {
    content: " ";
    min-width: 8px;
  }
}
// NOTE: lucia box-shadow from 0px 2px 2px $shadowColor to .....
.Tabs {
  padding:0px !important;
  box-shadow: 0px 2px 2px $shallowShadow2Color;
  position:static;
  z-index: 10;
  display: flex;
min-height: 0px;
  flex-basis: 48px;
  min-height: 48px;
  overflow-x: auto;
  overflow-y: hidden;
  background-color: $pageAppBarBgColor;

  [id='Tabs'] {
    margin-left: 64px;
  }
}

.PagePadding {
  padding: 0px $pagePadding;
}

// NOTE: lucia this class is used by too many objects
.MuiItemPagePadding {
  max-width: 600px;
  margin: 0 auto;
  // padding: 0px 200px;
}

.TabWithWarning {
  color: $warningColor;
  display: flex;
min-height: 0px;
}

.TabStyle {
  color: $warningColor;
  padding: 0px 12px;
}

.TabLabel {
  color: $alternateTextColor;
  padding: 0px 12px;
  margin: 0px 12px;
  /**flex-basis: 50;
  overflow-y: auto;*/
}

.TextAreaContainer {
  //note: lucia max-width: 880px;
  max-width: 680px;
  margin: 0px auto;
  width: 100%;
}

.TextArea {
  /**padding: 0px 24px 24px 24px;*/
  width: 100%;
}

.BorderAllAround {
  border: 1px solid $borderColor;
  border-radius: 2px;
}

.WhiteBorderAllAround {
  border: 1px solid $borderColor;
  border-radius: 2px;
  background: white
}

.TabSlider {
    flex-grow: 1;
    display: flex;
min-height: 0px;
    overflow-y: auto;
}

.Divider {
  width: 100%;
  height: 2px;
  background: $borderColor;
  box-sizing: border-box;
}

.CardContainer {
  flex-grow: 1;
  overflow-y: auto;
  padding: 0 24px;
}

/* Help Centre css begin*/

.HelpHeader {
  display: flex;
min-height: 0px;
  justify-content: center;
  margin: 36px auto;
  font-size: 22px;
  font-weight: 500;
}

.HelpContainer {
  display: flex;
min-height: 0px;
  justify-content: center;
  z-index: 1;
  flex-wrap: wrap;
}

.HelpPdf {
  overflow: scroll;
  display: flex;
min-height: 0px;
  justify-content: center;
  align-items: flex-start;
  padding-top: 12px;
  padding-bottom: 36px;

  img {
    width: 100%;
    max-width: 1024px;
  }
}

.QAContainer {
  margin-top: 10px;
  overflow-y: scroll;
}

.HelpQA {
  display: flex;
min-height: 0px;
  margin: 12px auto;
  max-width: 800px;

  .HelpQALeft {
    margin: 12px 24px;
    cursor: pointer;
    color: rgba(0, 0, 0, 0.6);
    display: inline;
  }

  .HelpQARight {
    margin: 12px 24px;
    font-size: 20px;
    font-weight: 500;
    max-width: 650px;

    .HelpQuestion {
      cursor: pointer;
    }

    .HelpAnswerHide {
      display: none;
      padding-top: 20px;
      color: rgba(0, 0, 0, 0.3);
    }

    .HelpAnswerShow {
      display: block;
      padding-top: 20px;
      color: rgba(0, 0, 0, 0.3);
    }
  }
}

.youtubeVideo {
  width: 100%;
  min-height: 500px;
  max-width: 800px;
  margin: 24px auto;
}

.VideoContainer {
  display: flex;
min-height: 0px;
  flex-direction: column;
  margin: 24px auto;
}

.VideoTitle {
  text-align: center;
  font-size: 24px;
  font-weight: 500;
  margin: 12px;
  color: #444444;
  cursor: pointer;

  &:hover {
    color: #00008f;
  }
}

.Thumbnail {
  width: 20%;
  min-width: 250px;
  min-height: 200px;
  border: none;
  display: flex;
min-height: 0px;
  margin: 0 auto;
}

.HelpCard{
  position: relative;
  box-shadow: $shadowColor 0px 1px 6px, $shadowColor 0px 1px 4px;
  border-radius: 2px;
  color: $titleColor;
  margin: 48px 12px;
  padding: 24px 48px;
  background-color: $pageBackgroundColor;
  cursor: pointer;

  .HelpImage {
    width: 80%;
  }

  .HelpTitle {
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    margin: 12px;
  }
}

/* End of Help Centre*/

/* Begin of About Ease */

.easeContainer {
  display: flex;
min-height: 0px;
  flex-direction: column;
  max-width: 800px;
  margin: 24px auto;
  padding: 0 24px;
}

.logoContainer img {
  display: inline-flex;
  width: 25%;
}

.easeContent {
  font-weight: 500;
}

/* End of About Ease */

/* Start of downlaod materials*/
.easeDownloadPage{
  overflow: scroll;
  padding-bottom: 30px;
}

.easeDownloadContent {
  flex-direction: column;
  max-width: 85%;
  margin: 0px 20px;
  padding: 0px 44px;
}

.downloadHeader {
  background: #00008f;
  color: #fff;
  font-size: 18px;
  padding: 5px;
  margin-top: 20px;
}

.downloadHeader p{
  padding-left: 15px;
  display : inline-block;
  width: 90%;
  padding: 0px 10px;
  margin: 0px;
  position: relative;
  bottom: 2px;
}

.downloadItemList{
  padding: 0px !important;
}

.downloadItem {
  color: #7f7f7f !important;
  font-size: 16px !important;
  width:95% !important;
  border-bottom: 1px solid #7f7f7f !important;
  padding: 5px 15px !important;
}

.downloadItem > div > div, .downloadItem2Col > div > div{
  padding: 5px !important;
}

.downloadItemList2Col{
  padding: 0px !important;
  display: inline-block;
  width: 95%;
}

.downloadItem2Col {
  color: #7f7f7f !important;
  font-size: 16px !important;
  border-bottom: 1px solid #7f7f7f !important;
  padding: 5px 35px !important;
}

.downloadItem2ColHeader {
  color: #7f7f7f !important;
  font-size: 17px !important;
  padding: 12px 25px !important;
  border-bottom: 1px solid #7f7f7f !important;
}

.dropdownList{
  border: 1px solid #7f7f7f !important;
  z-index: 10;
  width: 60%;
  background-color: white;
  position: absolute;
  top: 50px;
  left: 88px;
}

.claimSite{
  font-size: 12px !important;
  text-decoration: underline;
  padding-inline-start: 30px;
}

.collapse{
  flex-direction: column;
  max-width: 85%;
  margin: 0px 20px;
  padding: 0px 44px;
  display:hidden;
}
/* End of downlaod materials*/

/* Start Risk Profile Table */

.rpContainer {
  max-width: 1024px;
  height: 600px;
  margin: 24px 0;

  .rpTitle {
    font-size: 18px;
    font-weight: 700;
    color: #333;
  }

  .rpTable {
    margin-top: 24px;
    font-size: 16px;

    .dataName {
			background: rgba(0,0,143,0.4);
			color: #fff;
			// text-align: center;
			vertical-align: middle;
    }

    .dataDescription {
			background:rgba(0,0,143,0.1);
    }

    .rpProfile {
      background: #00008f;
      color: #fff;
    }
    .rpDescription {
      background: #00008f;
      color: #fff;
    }
    th, td {
      border: 1px solid white;
      margin: 24px;
      padding: 12px;
    }
  }
}

/* End Risk Profile Table */

/* Start Policy Select Field */

.policySelect {
  margin: 0 24px;
}

@media only screen and (max-width: 900px) {
  .policySelect {
    margin: 0 8px;
  }
}

/* End Policy Select Field */

.Card{
  position: relative;
  box-shadow: $shadowColor 0px 1px 6px, $shadowColor 0px 1px 4px;
  border-radius: 2px;
  color: $titleColor;
  margin: 60px auto;
  background-color: $pageBackgroundColor;

  .title {
    color: $dialogToolbarBgColor;
    width: 100%;
    font-size: 16px;
    padding: 16px 0px
  }

  .subTitle {
    line-height: 18px;
    font-size: 14px;
    padding-bottom: 4px;
  }

  .subTitleValue{
    line-height: 20px;
    font-size: 16px;
  }

  .profileOnly{
    display: flex;
min-height: 0px;
    padding: 0px $sectionPadding;
    align-items: center;
  }

  .profileOnlyTitle {
    flex-grow: 1;
    font-size: 16px;
    color: $dialogToolbarBgColor;
  }

  .CardSection {
    display: flex;
min-height: 0px;
    flex-wrap: wrap;
    padding-left: $sectionPadding;

    .items {
      display: flex;
min-height: 0px;
      padding-bottom: $sectionPadding;
      padding-right: 16px;
      justify-content: flex-start;
    }

    .fullWidth {
        width: calc(100% - #{$fieldSpacing});
      }

    .halfWidth {
        width: calc(50% - #{$fieldSpacing});
    }
  }

  .Divider {
    width: 85%;
  }
}

.Avatar {
  padding-right: $sectionPadding;
}

.CardPadding {
  padding: $sectionPadding 0px $sectionPadding 48px;
}

.CardRow {
  padding: $sectionPadding $sectionPadding 0px $sectionPadding;
  display: flex;
min-height: 0px;
  align-items: center;
  cursor: pointer;
}

.CardRowSingleColumn {
  flex-grow: 0;
}

.CardRowMultiColumn {
  flex-grow: 1;
}

.CardRowFieldLarge {
  line-height: 24px;
  font-size: 16px;
  padding-bottom: 4px;
  display: flex;
min-height: 0px;
}

.CardRowFieldSmall {
  line-height: 18px;
  font-size: 14px;
  color: $titleColor;
}

.PaperCardContent {
  width: 250px;
  line-height: 32px;
  height: 32px;

  [id="ReadOnlyField"] {
    line-height: 36px !important;
  }
}

.Stepper {
  margin: 0px 24px;

}

.StepperContainer {
  background: $secondary2Color;
  width: 200px;
  height: 48px;
  line-height: 48px;
  border-radius: 4px;
  -webkit-user-select: none;
}

[id="decreaseBtn"], [id="addBtn"] {
  vertical-align: text-bottom;
  display: inline-block;
  background: $primary1Color;
  width: 55px;
  text-align: center;
  cursor: pointer;

  svg {
    vertical-align: middle;
  }
}

[id="numberBtn"] {
  vertical-align: text-bottom;
  display: inline-block;
  background: $primary2Color;
  width: 90px;
  text-align: center;
  color: $secondary1Color;
  font-size: 21px;
}

.hBoxLabelStyle{
  display:block
}

.inkBarStyle{
  padding-bottom: 3px;
}

.leftMenu{
  padding-top:0px;
  display:inline
}

.cbGrpLabel{

}

.deleteIcon{
  position: absolute !important ;
  right: -30px;
  bottom: 0px;
  cursor:pointer
}

.dialogDelBtn{
  width: 100%;
  text-Align: right;
  padding-Right: 24px;

  button {
    color: $dialogAlertColor !important;

    span {
      font-weight: bold !important;
    }
  }
}

table {
  [id="TextFieldContainer"] {
    .ColumnField {
      min-width: 120px !important;
    }
  }
}

table {
  [id="ROPTextFieldContainer"] {
    .ColumnField {
      min-width: 110px !important;
    }
  }
}

.Table {
  width: 100%;

  tr {
    height: 48px;
    line-height: 48px;
    font-size: 14px;
  }

  tr.TableHeader {
    border-bottom: 1px solid $borderColor;
    height: 39px;
    line-height: 39px;

// NOTE: lucia changed
    th {
      font-size: 12px;
      font-weight: 500;
      color: $primary1Color;
      background: $panelBackground2Color;
    }
  }
}


tr.active{
  background-color:rgb(191, 191, 191);
}
tr.hover{
  background-color:rgb(204, 242, 255);
}
tr.inactive{
  background-color:rgb(240, 243, 245);
}

.MuTableView {
  tr {
    th {
      color: $titleColor !important;
      font-size: 12px !important;
      font-weight: 600 !important;
      background-color: $panelBackgroundColor !important;
      padding-left: 24px;
    }
  }
}

/* eApproval */
.ApprovalSearchContainer {
  display: flex;
min-height: 0px;
  background-Color: $panelBackgroundColorDarkerGrey;
  height: 100%;
}

.ReviewPageContainer {
  overflow-Y: auto;
  background-Color: $panelBackgroundColorDarkerGrey;
  height: 100%;
}

.MobileApproveRejectPageContainer {
  overflow-Y: auto;
  overflow-x: hidden;
  background-Color: $panelBackgroundColorDarkerGrey;
  height: 100%;
}

.PendingAprrovalSearchMenu {
  width: 20%;
  min-Width: 300px;
  padding: 24px;
  overflow-y: auto;
  max-height: calc(100% - 48px);
}

.MobilePendingApprovalSearchMenu {
  width: 100%;
  min-Width: 300px;
  padding: 12px 0px;
  overflow-y: auto;
  height: calc(100vh - 130px);
  @media only screen and (min-width: 650px) {
    height: calc(100vh - 84px);
  }
}

.MobilePendingWorkbenchSearchMenu {
  width: 100%;
  min-Width: 300px;
  padding: 12px 0px;
  overflow-y: auto;
  height: calc(100vh - 130px);
  @media only screen and (min-width: 650px) {
    height: calc(100vh - 84px);
  }
}

.MoileFileRowDialogContent {
    height: calc(87vh - 86px);
    @media only screen and (min-width: 650px) {
      height: calc(100vh - 80px);
    }
}

.MobileEmailDialog {
  height: calc(100vh - 86px);
  overflow-Y: auto;
  @media only screen and (min-width: 650px) {
    height: 100vh;
  }
}

.PendingApprovalShowCases {
  min-Width: 650px;
  // padding: 0 $sectionPadding;
  overflow-y: auto;
  overflow-x: hidden;
}

.MobilePendingApprovalShowCases {
  overflow-y: auto;
  overflow-x: hidden;
}

.StatusSectionName {
  color: $primary1Color;
  font-weight: 500;
  padding: 12px 0px;
}

.CommentBoxBorder {
  border: 1px solid $borderColor;
  border-radius: 2px;
}

.MobileCommentBoxBorder {
  border-bottom: 1px solid $borderColor;
  border-radius: 2px;
}

.CommentDateLabel {
  font-size: 14px;
  color: $subContentColor;
}

.DynColLabel {
  font-size: 14px;
  line-height: 36px;
}

.EApprovalHeader {
  display: flex;
min-height: 0px;
  padding-left: 24px;
  position: relative;
  justify-content: space-between;
}

.EApprovalHeaderComp1 {
  position: relative;
  top: 40px;
}

.EApprovalHeaderComp2 {
  position: relative;
  top: 10px;
}


/*common*/

.qRadio .ReadOnlyFieldFloatingLabel{
  position: relative !important;
}
.qRadio .ReadOnlyFieldLabel{
  margin-top: 5px;
  overflow: auto;
}
.qSubTitle{
  color: $primary1Color;
}

.tableView{
  display: table;
}
.tableViewItem{
  display: table-cell;
  vertical-align: middle;
  text-align:left;
}

.verticalView{
  display: block;
  text-align:left;
  margin-bottom: 10px;
}
.verticalViewItem{
  display: block;
  text-align:left;
}

/*dyn table*/
.dynTable{
  border-bottom: 1px solid $borderColor;
}

.ZebraRow {
  background-color: $panelBackgroundColor
}

.TableLeftAlignRow {
  text-align: right;
  width: 90%;
  padding: 12px 0px;
}

.TableRightAlignRow {
  text-align: right;
  width: 85.5%;
  padding: 12px 0px;
}

.AppPlanDetailLayout {
  font-size: 14px !important;
  background-color:  $shallowShadow1Color;
  color: black !important;
  padding: 12px;
  width: 100px;
}

.dynTotalTr {
  background-color:  $shallowShadow1Color;
  text-align: center;
  font-weight: 600;
  color: $titleColor;
}

.dynTotalLeftTr {
  background-color:  $shallowShadow1Color;
  text-align: left;
  font-weight: 600;
  color: $titleColor;
}

.dynTh{
  padding:12px;
  border-bottom: 1px solid $borderColor;
  text-align:left;
  font-size: 12px;
  font-weight: normal;
  color: #7f7f7f;
}

.dynTh_noBottomBorder{
  text-align:left;
  font-size: 12px;
  font-weight: normal;
  color: #7f7f7f;
}

.dynTh_subTitle {
  font-size: 12px;
  line-height: 2em;
}

.dynTd{
  vertical-align: middle;
  position:relative;
  padding:12px;
  text-align:left;
}

/*go fna*/

.centerAlign{
 text-align:center;
}
.border{
  border: 1px solid grey;
  display: inline-block;
  padding:3px 10px;
}

.iconButton{

}
.iconButton span{
  white-space: normal !important;
}
/*block*/
.sectionLabel{
  padding: 20px 0px 10px 0px;
  font-weight: 500;
}
.block{
}
.heading{
  padding: 20px 0px;
  font-weight: 500;
}

.TableSectionHeading {
  background-color: $shallowShadowColor;
  padding: 12px;
  font-size: 14px;
}

.viewTitle{

}

.flexBox{
  display: -webkit-flex; /* Safari */
  display: flex;
min-height: 0px;
  align-items: flex-start;
  padding: 5px 0px;
}

// .flexBox .ReadOnlyFieldRoot{
//   height: auto;
// }
.flexBox .ReadOnlyFieldLabel{
  margin-top: 0;
}


.flexBoxItem{
  -webkit-flex: 1; /* Safari 6.1+ */
  -ms-flex: 1; /* IE 10 */
  flex: 1;
  align-items: flex-start;
}

.landMainContent {
  overflow-y: auto;
}

div.landMainContent::-webkit-scrollbar {
  display: none;
}

::-webkit-scrollbar {
	 display: block;
   width: $scrollbarWidth;
   height: 5px;
}
::-webkit-scrollbar-thumb {
  background-color: RGBA(0,0,0,0.3);
  border-radius: 5px;
}

.Mobile {
  height:100vh;
  min-width: $mobilePageMinWidth;

  .Toolbar {
    button {
      margin: 0 4px 0 8px !important;
    }

    button[id="back"], button[id="close"] {
      margin: 0 0 0 4px !important;
    }
  }

  .Page {
    min-width: $mobilePageMinWidth;

    .Form {
      .Section {
        width: calc(100% - #{$mobileFieldSpacing}) !important;
        min-width: $mobilePageMinWidth - $mobileFieldSpacing - $scrollbarWidth;
        padding-top: $mobileFieldSpacing;
      }
    }

    .Section {
      width: 100%;
      margin-left: 0px;
      margin-right: 0px;
      min-width: $mobilePageMinWidth;
      padding: 0px 0px 0px $mobileFieldSpacing;
      text-align: left;

      .Controls {
        position: relative;
        display: block;
        text-align: right;
        padding-right: $mobileFieldSpacing;
        height: 48px;
        top: auto;
        right: auto;
      }

      .Title {
        height: 74px;
        padding-right: $mobileFieldSpacing;
        margin-top: 0;
        margin-bottom: 8px;
      }

      .Icon {
        position: absolute;
        top: $mobileFieldSpacing;
        left: $mobileFieldSpacing;
      }
    }
  }

  .Column1, .Column2, .Column3 {
    .Field, .DetailsItem {
      width: calc(100% - #{$mobileFieldSpacing}) !important;
    }
  }



  .Field, .DetailsItem {
    width: calc(100% - #{$mobileFieldSpacing}) !important;
    min-width: $mobilePageMinWidth - $mobileFieldSpacing - $mobileFieldSpacing - $scrollbarWidth;
    margin-right: $mobileFieldSpacing;
  }

  .SwitchField {
    width: calc(100% - #{$mobileFieldSpacing}) !important;
    margin-right: $mobileFieldSpacing;
    height: auto !important;
  }
}

/*drop zone*/

.Dropzone {
  height:48px;
  line-Height:48px;
  text-align: right;
}

.DropzoneActive {
  height:48px;
  line-Height:48px;
  text-align: center;
  color: $primary2Color;
  font-weight: bold;
  border: 1px dotted $borderColor;
  background-color: RGBA(255,255,255,0.7);
}

@media screen and (max-width: 1024px) {
  .shortfallItem{
    width: 50%
  }
}
